# -*- coding: utf8 -*-
#
# cacaeditor    Libcaca ascii editor.
#
# Copyright (c) 2011 Alex Foulon <alxf@lavabit.com>
#               All Rights Reserved
#
# This program is free software. It comes without any warranty, to
# the extent permitted by applicable law. You can redistribute it
# and/or modify it under the terms of the Do What The Fuck You Want
# To Public License, Version 2, as published by Sam Hocevar. See
# http://sam.zoy.org/wtfpl/COPYING for more details.
#

#third party module
from setuptools import setup

#application module
import cacaeditor

DESCRIPTION="""\
Caca Editor is an ascii editor made with libcaca python bindings."""

setup(
    name='CacaEditor',
    author='Alex Foulon',
    author_email='alxf@lavabit.com',
    description=DESCRIPTION,
    long_description=open('README').read(),
    license='WTFPL',
    url='http://pooh.alxf.net/browser/cacaeditor/trunk/README',
    version=cacaeditor.__version__,
    packages=['cacaeditor'],
    package_dir={
        'cacaeditor': 'cacaeditor',
    },
    entry_points={
        'console_scripts': [
            'cacaeditor = cacaeditor.editor:main',
        ],
    },
)

