#!/bin/sh

#paths
MODULE_DIR="cacaeditor"

#pychecker options
OPT_GLOBALS="--limit 25 --var --initattr --moduledoc --classdoc --funcdoc \
--privatevar --only"


case $1 in
	"cacaeditor")
		pychecker $OPT_GLOBALS $MODULE_DIR/__init__.py
		;;
	"helper"|"helpers")
		pychecker $OPT_GLOBALS $MODULE_DIR/helpers.py
		;;
	"widget"|"widgets")
		pychecker $OPT_GLOBALS $MODULE_DIR/widgets.py
		;;
	"core")
		pychecker $OPT_GLOBALS $MODULE_DIR/core.py
		;;
	"gui")
		pychecker $OPT_GLOBALS $MODULE_DIR/gui.py
		;;
	"editor")
		pychecker $OPT_GLOBALS $MODULE_DIR/editor.py
		;;
	*)
		echo "Usage: $0 <module>"
		;;
esac

